
Packaging - Bug #12522

debian package >  the file /var/lib/foreman/db/schema.rb should be stated as a conf file?

11/18/2015 10:51 AM - Eric Castan

Status: Resolved   

Priority: Low   

Assignee:    

Category: Debian/Ubuntu   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In the process of verifying our installation of foreman (version 1.9.2-1), we discovered that the debsums gives an error on file

schema.rb

It seems that this file is altered after installation.

If this file needs to be in the package, would it be possible to state this file as a conf file?

xxx@yyy:/tmp$ debsums foreman| grep -v OK

/var/lib/foreman/db/schema.rb                                             FAILED

History

#1 - 11/19/2015 02:49 AM - Dominic Cleal

- Project changed from Installer to Packaging

- Category set to Debian/Ubuntu

The file probably doesn't need to be packaged, it's generated locally too.

#2 - 04/23/2016 02:21 PM - Anonymous

- Status changed from New to Resolved

Because of changes in Foreman itself, this file is not contained in Foreman 1.11+ packages anymore.
